The officially official Devuan Forum!

You are not logged in.

#1 2018-01-20 08:33:20

onekk
Member
Registered: 2017-12-20
Posts: 10

[SOLVED] [Devuan ASCII] Error in dist-upgrade upgrading libeudev1

I will post the relevant code for the error.

Doing apt dist-upgrade

The following NEW packages will be installed:
  libeudev1
The following packages will be upgraded:
  colord libcolord2 libcolorhug2
....
Get:1 http://pkgmaster.devuan.org/merged ascii/main amd64 libeudev1 amd64 3.2.2-9 [92,3 kB]
Get:2 http://pkgmaster.devuan.org/merged ascii/main amd64 libcolord2 amd64 1.3.3-1+devuan1 [253 kB]
Get:3 http://pkgmaster.devuan.org/merged ascii/main amd64 libcolorhug2 amd64 1.3.3-1+devuan1 [184 kB]
Get:4 http://pkgmaster.devuan.org/merged ascii/main amd64 colord amd64 1.3.3-1+devuan1 [338 kB
....
Unpacking libeudev1:amd64 (3.2.2-9) ...
dpkg: error processing archive /var/cache/apt/archives/libeudev1_3.2.2-9_amd64.deb (--unpack):
 trying to overwrite '/lib/x86_64-linux-gnu/libudev.so.1.6.3', which is also in package libudev1:amd64 220:3.2.2-devuan2.3

It seems that libeudev1 have a conflicting file with libudev1.

Maybe there are some conflict in the package base.

apt-cache policy libudev1
libudev1:
  Installed: 220:3.2.2-devuan2.3
  Candidate: 220:3.2.2-devuan2.3
  Version table:
 *** 220:3.2.2-devuan2.3 100
        100 /var/lib/dpkg/status
     1:3.2.2+devuan2.10 500
        500 http://pkgmaster.devuan.org/merged ascii/main amd64 Packages
     236-3~bpo9+1 100
        100 http://pkgmaster.devuan.org/merged ascii-backports/main amd64 Packages

Hope it can help in solving the problem


Regards

Carlo D.

Last edited by onekk (2018-01-22 11:03:05)

Offline

#2 2018-01-22 11:02:31

onekk
Member
Registered: 2017-12-20
Posts: 10

Re: [SOLVED] [Devuan ASCII] Error in dist-upgrade upgrading libeudev1

See https://dev1galaxy.org/viewtopic.php?id=1833 for more info about the problem, it seems relative to MiYoLinux, but just in case someone have the same problem.

Offline

Board footer